package com.ssm.manage.service;

import com.ssm.core.service.BaseService;
import com.ssm.manage.entity.SmsException;
import com.ssm.manage.entity.SysMenuPower;
import com.ssm.manage.query.MenuPowerRequest;
import com.ssm.manage.query.PowerRequest;

import java.util.List;

public interface SsmSysMenuPowerService extends BaseService<SysMenuPower> {
//    int saveMenuPower(MenuPowerRequest menuPowerRequest);
//
    List<SysMenuPower> listMenuPower(MenuPowerRequest menuPowerRequest);
    List<SysMenuPower> selectAll(MenuPowerRequest menuPowerRequest);
    List<SysMenuPower> listByRole(MenuPowerRequest menuPowerRequest);

    void addMenuPower(PowerRequest menuPowerRequest);
    void delete(PowerRequest menuPowerRequest) throws SmsException;
    void update(PowerRequest menuPowerRequest);

    List<SysMenuPower> listbyStaffId(MenuPowerRequest menuPowerRequest);

    List<SysMenuPower> listNew(MenuPowerRequest menuPowerRequest);
}
